1. Narayanamoorthy Thangavel
  2. PowerBuilder
  3. Monday, 10 August 2020 11:26 AM UTC

Hi All,

 

Could you please help me the below two questions.

1. Actually we are using two applications and both are windows based application and developed by PowerBuilder.

   One application we are using  powerbuilder version 6.5 and connected to Oracle 11.2.0.4 and now we are planning to migrate to 19c. So is that compatible for the 19c version.?

 

2. Second question , Another application was build by Appeon 2017 R3 1858 and connected to Oracle 11.2.0.4. So is that compatible with 19c to migrate it?

Thank you

Who is viewing this page
Accepted Answer
Chris Pollach @Appeon Accepted Answer Pending Moderation
  1. Monday, 10 August 2020 12:45 PM UTC
  2. PowerBuilder
  3. # Permalink
1
Votes
Undo

Hi ;

    FYI: O19C compliance was added to PB 2017 R3 in build 1915 (Dec 2019) and PB 2019 build 2170 (Dec 2019). Both of those releases were MR's.

Regards ... Chris

Comment
There are no comments made yet.
Narayanamoorthy Thangavel Accepted Answer Pending Moderation
  1. Monday, 10 August 2020 14:16 PM UTC
  2. PowerBuilder
  3. # 1
0
Votes
Undo

Hi,

 

Thank you. I will build and deploy the package from 2017 R3 1858 to R3 1915 version.  Is there any major difference between this version. Should i directly build the package? or do i have to add any dll?

Comment
There is no migration required. The newer build is basically fixes. The only newer part in the MR is the Oracle DB driver. Just update the build, do a full build, recompile the EXE(s) & redeploy (with the updated runtime DLLs).
  1. Chris Pollach @Appeon
  2. Monday, 10 August 2020 14:23 PM UTC
Thank you Chris.
  1. Narayanamoorthy Thangavel
  2. Monday, 10 August 2020 14:28 PM UTC
There are no comments made yet.
  • Page :
  • 1


There are no replies made for this question yet.
However, you are not allowed to reply to this question.